#!/bin/sh
LANG=c
############################################
#  Ver.1.0.0  2010/04/21  Support with MegaCLI Ver.5.00.14
#  Ver.1.0.1  2010/04/23  Support with MegaCLI Ver.5.00.14
#  Ver.1.1.2  2010/05/11  Support with MegaCLI Ver.5.00.14
#  Ver.1.1.3  2010/12/09  Support with MegaCLI Ver.5.00.14
#  Ver.1.1.4  2010/12/09  Support with MegaCLI Ver.5.00.14
#  Ver.1.2.1  2011/01/27  Support with MegaCLI Ver.5.00.14
#  Ver.1.2.1  2011/01/31  Support with MegaCLI Ver.5.00.14
#  Ver.2.3.0  2011/02/02  Support with MegaCLI Ver.8.00.00 for VMwareESX 4.0
#  Ver.2.4.3  2013/12/03  Support with MegaCLI Ver.8.00.00 for VMwareESXi 4.x
############################################

###############################
### Shell Variable
###############################

# Target Flag : 0=No Target, 1=Exist Target
TRGT_FLAG=0

# Failed Flag : 0=OK, 1=NG
FAIL_FLG=0

# A1.1.0 Directory of MegaCli
MEGACLI_DIR=$(cd "$(dirname "$0")" && pwd -P)

OUTPUT_LOG=$MEGACLI_DIR/mg_refr.log

Retry=3600

###############################
### Install check
###############################

if [ -f $MEGACLI_DIR/Registration.sh ]; then
:
else
echo "`date`  Registration.sh file is not found in $MEGACLI_DIR." >> $OUTPUT_LOG 2>&1
     echo ""
     echo "Registration.sh file is not found in $MEGACLI_DIR."
     echo ""
exit 1
fi

if [ -f $MEGACLI_DIR/mg_refr.sh ]; then
:
else
echo "`date`  mg_refr.sh file is not found in $MEGACLI_DIR." >> $OUTPUT_LOG 2>&1
     echo ""
     echo "mg_refr.sh file is not found in $MEGACLI_DIR."
     echo ""
exit 1
fi

if [ -f $MEGACLI_DIR/MegaCli ]; then
:
else
echo "`date`  MegaCli file is not found in $MEGACLI_DIR." >> $OUTPUT_LOG 2>&1
     echo ""
     echo "MegaCli file is not found in $MEGACLI_DIR."
     echo ""
exit 1
fi

########################################################
for i in `seq 0 3`

do

########iBBU############################################
  $MEGACLI_DIR/MegaCli -AdpAllInfo -a$i | grep "BBU             : Present" > /dev/null
if [ $? -eq 0 ]; then
  echo "Adapate$i BBU was detected."

  ########Ruch############################################
  $MEGACLI_DIR/MegaCli -AdpAllInfo -a$i | grep "SubDeviceId     : 1013" > /dev/null
   if [ $? -eq 0 ]; then
     echo "echo "$i 0 \\* 2,5,8,11 0 $MEGACLI_DIR/mg_refr.sh $i" >> /var/spool/cron/crontabs/root" >> /etc/rc.local 2>&1
     echo "`date`  Adapter$i:Battery refresh schedule is Registered." >> $OUTPUT_LOG 2>&1
     TRGT_FLAG=1
   else 
  #########Caph###########################################
  $MEGACLI_DIR/MegaCli -AdpAllInfo -a$i | grep "SubDeviceId     : 1016" > /dev/null
   if [ $? -eq 0 ]; then
     echo "echo "$i 0 \\* 2,5,8,11 0 $MEGACLI_DIR/mg_refr.sh $i" >> /var/spool/cron/crontabs/root" >> /etc/rc.local 2>&1
     echo "`date`  Adapter$i:Battery refresh schedule is Registered." >> $OUTPUT_LOG 2>&1
     TRGT_FLAG=1
   else
  #########Foxc###########################################
  $MEGACLI_DIR/MegaCli -AdpAllInfo -a$i | grep "SubDeviceId     : 835a" > /dev/null
   if [ $? -eq 0 ]; then
     echo "echo "$i 0 \\* 2,5,8,11 0 $MEGACLI_DIR/mg_refr.sh $i" >> /var/spool/cron/crontabs/root" >> /etc/rc.local 2>&1
     echo "`date`  Adapter$i:Battery refresh schedule is Registered." >> $OUTPUT_LOG 2>&1
     TRGT_FLAG=1
   else
  #########Cast###########################################
  $MEGACLI_DIR/MegaCli -AdpAllInfo -a$i | grep "SubDeviceId     : 9264" > /dev/null
   if [ $? -eq 0 ]; then
     echo "echo "$i 0 \\* 2,5,8,11 0 $MEGACLI_DIR/mg_refr.sh $i" >> /var/spool/cron/crontabs/root" >> /etc/rc.local 2>&1
     echo "`date`  Adapter$i:Battery refresh schedule is Registered." >> $OUTPUT_LOG 2>&1
     TRGT_FLAG=1

   fi #Cast
   fi #Foxc
   fi #Caph
   fi #Ruch

#########iBBU END#######################################
else  #iBBU
  echo "Adapate$i BBU was not detected."
fi    #iBBU
done

   if [ $TRGT_FLAG -eq 1 ]; then
cat << "EOF" >> /etc/rc.local
     kill $(cat /var/run/crond.pid) && sleep 1 && crond
EOF
   auto-backup.sh
   fi

exit 0
