#!/bin/sh
LANG=c
############################################
#  Ver.1.0.0  2009/06/02  Support with MegaCLI Ver.2.00.11
#  Ver.2.0.0  2010/04/21  Support with MegaCLI Ver.5.00.14
#  Ver.2.0.1  2010/04/23  Support with MegaCLI Ver.5.00.14
#  Ver.2.1.0  2010/04/27  Support with MegaCLI Ver.5.00.14
#  Ver.2.2.0  2011/01/26  Support with MegaCLI Ver.5.00.14
#  Ver.2.2.0  2011/01/31  Support with MegaCLI Ver.5.00.14
#  Ver.2.3.0  2011/02/02  Support with MegaCLI Ver.8.00.00 for VMwareESX 4.0
#  Ver.2.4.2  2013/12/03  Support with MegaCLI Ver.8.00.00 for VMwareESXi 4.x
############################################

###############################
### Shell Variable
###############################

# Failed Flag : 0=OK, 1=NG
FAIL_FLG=0

# A1.1.0 Directory of MegaCli
MEGACLI_DIR=$(cd "$(dirname "$0")" && pwd -P)

OUTPUT_LOG=$MEGACLI_DIR/mg_refr.log

Retry=3600

###############################
### Date check
###############################

if [ `date +\%d` -le 7 ]; then
:
else
exit 1
fi

###############################
### Install check
###############################

if [ -f $MEGACLI_DIR/Registration.sh ]; then
:
else
echo "`date`  Registration.sh file is not found in $MEGACLI_DIR." >> $OUTPUT_LOG 2>&1
     echo ""
     echo "Registration.sh file is not found in $MEGACLI_DIR."
     echo ""
exit 1
fi

if [ -f $MEGACLI_DIR/mg_refr.sh ]; then
:
else
echo "`date`  mg_refr.sh file is not found in $MEGACLI_DIR." >> $OUTPUT_LOG 2>&1
     echo ""
     echo "mg_refr.sh file is not found in $MEGACLI_DIR."
     echo ""
exit 1
fi

if [ -f $MEGACLI_DIR/MegaCli ]; then
:
else
echo "`date`  MegaCli file is not found in $MEGACLI_DIR." >> $OUTPUT_LOG 2>&1
     echo ""
     echo "MegaCli file is not found in $MEGACLI_DIR."
     echo ""
exit 1
fi


###################################
for i in `seq 0 3`
do
  if [ $i -ne 0 ]; then
    echo "`date`  Adapter$1:Battery refresh fail.(Loop $i)" >> $OUTPUT_LOG 2>&1
    echo "Adapter$1:Sleep 3600sec"
    sleep $Retry
  fi
########Ruch############################################
  $MEGACLI_DIR/MegaCli -AdpAllInfo -a$1 | grep "SubDeviceId     : 1013" > /dev/null
  if [ $? -eq 0 ]; then
    $MEGACLI_DIR/MegaCli -AdpBbuCmd -BbuLearn -a$1 > /dev/null
    if [ $? -eq 0 ]; then
    echo "`date`  Adapter$1:Battery refresh start." >> $OUTPUT_LOG 2>&1
    exit 0
    fi
  fi
#########Caph###########################################
  $MEGACLI_DIR/MegaCli -AdpAllInfo -a$1 | grep "SubDeviceId     : 1016" > /dev/null
  if [ $? -eq 0 ]; then
    $MEGACLI_DIR/MegaCli -AdpBbuCmd -BbuLearn -a$1 > /dev/null
    if [ $? -eq 0 ]; then
    echo "`date`  Adapter$1:Battery refresh start." >> $OUTPUT_LOG 2>&1
    exit 0
    fi
  fi
#########Foxc###########################################
  $MEGACLI_DIR/MegaCli -AdpAllInfo -a$1 | grep "SubDeviceId     : 835a" > /dev/null
  if [ $? -eq 0 ]; then
    $MEGACLI_DIR/MegaCli -AdpBbuCmd -BbuLearn -a$1 > /dev/null
    if [ $? -eq 0 ]; then
    echo "`date`  Adapter$1:Battery refresh start." >> $OUTPUT_LOG 2>&1
    exit 0
    fi
  fi
#########Cast###########################################
  $MEGACLI_DIR/MegaCli -AdpAllInfo -a$1 | grep "SubDeviceId     : 9264" > /dev/null
  if [ $? -eq 0 ]; then
    $MEGACLI_DIR/MegaCli -AdpBbuCmd -BbuLearn -a$1 > /dev/null
    if [ $? -eq 0 ]; then
    echo "`date`  Adapter$1:Battery refresh start." >> $OUTPUT_LOG 2>&1
    exit 0
    fi
  fi
done

exit 1 

