#!/bin/sh
LANG=c
############################################
#  Ver.1.0.0  2009/06/02  Support with MegaCLI Ver.2.00.11
#  Ver.2.0.0  2010/04/21  Support with MegaCLI Ver.5.00.14
#  Ver.2.0.1  2010/04/23  Support with MegaCLI Ver.5.00.14
#  Ver.2.1.0  2010/04/27  Support with MegaCLI Ver.5.00.14
#  Ver.2.2.0  2011/01/26  Support with MegaCLI Ver.5.00.14
#  Ver.2.2.0  2011/01/31  Support with MegaCLI Ver.5.00.14
#  Ver.2.3.0  2011/02/02  Support with MegaCLI Ver.8.00.00 for VMwareESX 4.0
#  Ver.2.4.0  2013/06/05  Support with MegaCLI Ver.8.00.00 for VMwareESXi 4.x
#  Ver.2.4.3  2013/12/03  Support with MegaCLI Ver.8.00.00 for VMwareESXi 4.x for manual
############################################

###############################
### Shell Variable
###############################

# Failed Flag : 0=OK, 1=NG
FAIL_FLG=0

# A1.1.0 Directory of MegaCli
MEGACLI_DIR=$(cd "$(dirname "$0")" && pwd -P)

OUTPUT_LOG=$MEGACLI_DIR/mg_refr.log

###############################
### Install check
###############################

if [ -f $MEGACLI_DIR/MegaCli ]; then
:
else
echo "`date`  MegaCli file is not found in $MEGACLI_DIR." >> $OUTPUT_LOG 2>&1
     echo ""
     echo "MegaCli file is not found in $MEGACLI_DIR."
     echo ""
exit 1
fi

########Ruch############################################
  $MEGACLI_DIR/MegaCli -AdpAllInfo -a$1 | grep "SubDeviceId     : 1013" > /dev/null
  if [ $? -eq 0 ]; then
    $MEGACLI_DIR/MegaCli -AdpBbuCmd -BbuLearn -a$1 > /dev/null
    if [ $? -eq 0 ]; then
    echo "`date`  Adapter$1:Battery manual refresh start." >> $OUTPUT_LOG 2>&1
    echo ""
    echo "Adapter$1:Battery manual refresh start."
    echo ""
    exit 0
    else
    echo "`date`  Adapter$1:Battery manual refresh fail." >> $OUTPUT_LOG 2>&1
    echo ""
    echo "Adapter$1:Battery manual refresh fail."
    echo ""
    fi
  fi
#########Caph###########################################
  $MEGACLI_DIR/MegaCli -AdpAllInfo -a$1 | grep "SubDeviceId     : 1016" > /dev/null
  if [ $? -eq 0 ]; then
    $MEGACLI_DIR/MegaCli -AdpBbuCmd -BbuLearn -a$1 > /dev/null
    if [ $? -eq 0 ]; then
    echo "`date`  Adapter$1:Battery manual refresh start." >> $OUTPUT_LOG 2>&1
    echo ""
    echo "Adapter$1:Battery manual refresh start."
    echo ""
    exit 0
    else
    echo "`date`  Adapter$1:Battery manual refresh fail." >> $OUTPUT_LOG 2>&1
    echo ""
    echo "Adapter$1:Battery manual refresh fail."
    echo ""
    fi
  fi
#########Foxc###########################################
  $MEGACLI_DIR/MegaCli -AdpAllInfo -a$1 | grep "SubDeviceId     : 835a" > /dev/null
  if [ $? -eq 0 ]; then
    $MEGACLI_DIR/MegaCli -AdpBbuCmd -BbuLearn -a$1 > /dev/null
    if [ $? -eq 0 ]; then
    echo "`date`  Adapter$1:Battery manual refresh start." >> $OUTPUT_LOG 2>&1
    echo ""
    echo "Adapter$1:Battery manual refresh start."
    echo ""
    exit 0
    else
    echo "`date`  Adapter$1:Battery manual refresh fail." >> $OUTPUT_LOG 2>&1
    echo ""
    echo "Adapter$1:Battery manual refresh fail."
    echo ""
    fi
  fi
#########Cast###########################################
  $MEGACLI_DIR/MegaCli -AdpAllInfo -a$1 | grep "SubDeviceId     : 9264" > /dev/null
  if [ $? -eq 0 ]; then
    $MEGACLI_DIR/MegaCli -AdpBbuCmd -BbuLearn -a$1 > /dev/null
    if [ $? -eq 0 ]; then
    echo "`date`  Adapter$1:Battery manual refresh start." >> $OUTPUT_LOG 2>&1
    echo ""
    echo "Adapter$1:Battery manual refresh start."
    echo ""
    exit 0
    else
    echo "`date`  Adapter$1:Battery manual refresh fail." >> $OUTPUT_LOG 2>&1
    echo ""
    echo "Adapter$1:Battery manual refresh fail."
    echo ""
    fi
  fi

exit 1 

